%global commit 8bdbcc31eb93c8f403d17b590a95bc295f69693d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-mavenarchiver
Version:        0.16.0
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        M2E Maven Archiver connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-mavenarchiver/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-mavenarchiver/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

%description
This package provides Maven Archiver connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-mavenarchiver-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.mavenarchiver.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.mavenarchiver.feature/license.html

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.4.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.3.git8bdbcc3
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.1.git8bdbcc3
- Initial commit
